Package org.eclipse.birt.chart.model.attribute

# Interface Marker

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `MarkerImpl`

public interface Marker extends IChartObject
A representation of the model object 'Marker'. Marker represents the value marker for a line or scatter series.

The following features are supported:

- `Type`
- `Size`
- `Visible`
- `Fill`
- `Icon Palette`
- `Outline`

See Also:
  - `AttributePackage.getMarker()`

## Method Summary

Modifier and Type
Method
Description
`Marker`
`copyInstance()`
`Fill`
`getFill()`
Returns the value of the 'Fill' containment reference.
`Palette`
`getIconPalette()`
Deprecated.
Deprecated.
`LineAttributes`
`getOutline()`
Returns the value of the 'Outline' containment reference.
`int`
`getSize()`
Returns the value of the 'Size' attribute.
`MarkerType`
`getType()`
Returns the value of the 'Type' attribute.
`boolean`
`isSetSize()`
Returns whether the value of the '`Size`' attribute is set.
`boolean`
`isSetType()`
Returns whether the value of the '`Type`' attribute is set.
`boolean`
`isSetVisible()`
Returns whether the value of the '`Visible`' attribute is set.
`boolean`
`isVisible()`
Returns the value of the 'Visible' attribute.
`void`
`setFill(Fill value)`
Sets the value of the '`Fill`' containment reference.
`void`
`setIconPalette(Palette value)`
Deprecated.
Deprecated.
`void`
`setOutline(LineAttributes value)`
Sets the value of the '`Outline`' containment reference.
`void`
`setSize(int value)`
Sets the value of the '`Size`' attribute.
`void`
`setType(MarkerType value)`
Sets the value of the '`Type`' attribute.
`void`
`setVisible(boolean value)`
Sets the value of the '`Visible`' attribute.
`void`
`unsetSize()`
Unsets the value of the '`Size`' attribute.
`void`
`unsetType()`
Unsets the value of the '`Type`' attribute.
`void`
`unsetVisible()`
Unsets the value of the '`Visible`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getType

MarkerType getType()
Returns the value of the 'Type' attribute. The default value is `"Crosshair"`. The literals are from the enumeration `MarkerType`. Gets the type of marker. Attribute "Type" specifies the type of marker, e.g. Crosshair, Triangle, Box... etc.

Returns:
  the value of the 'Type' attribute.
See Also:
  - `MarkerType`
  - `isSetType()`
  - `unsetType()`
  - `setType(MarkerType)`
  - `AttributePackage.getMarker_Type()`

### setType

void setType(MarkerType value)
Sets the value of the '`Type`' attribute. Sets the type of marker.

Parameters:
  `value` - the new value of the 'Type' attribute.
See Also:
  - `MarkerType`
  - `isSetType()`
  - `unsetType()`
  - `getType()`

### unsetType

void unsetType()
Unsets the value of the '`Type`' attribute.

See Also:
  - `isSetType()`
  - `getType()`
  - `setType(MarkerType)`

### isSetType

boolean isSetType()
Returns whether the value of the '`Type`' attribute is set.

Returns:
  whether the value of the 'Type' attribute is set.
See Also:
  - `unsetType()`
  - `getType()`
  - `setType(MarkerType)`

### getSize

int getSize()
Returns the value of the 'Size' attribute. Gets the size of the marker in the chart (as a percentage). Specifies the size of the marker in the chart (as a percentage).

Returns:
  the value of the 'Size' attribute.
See Also:
  - `isSetSize()`
  - `unsetSize()`
  - `setSize(int)`
  - `AttributePackage.getMarker_Size()`

### setSize

void setSize(int value)
Sets the value of the '`Size`' attribute. Sets the size of the marker in the chart (as a percentage).

Parameters:
  `value` - the new value of the 'Size' attribute.
See Also:
  - `isSetSize()`
  - `unsetSize()`
  - `getSize()`

### unsetSize

void unsetSize()
Unsets the value of the '`Size`' attribute.

See Also:
  - `isSetSize()`
  - `getSize()`
  - `setSize(int)`

### isSetSize

boolean isSetSize()
Returns whether the value of the '`Size`' attribute is set.

Returns:
  whether the value of the 'Size' attribute is set.
See Also:
  - `unsetSize()`
  - `getSize()`
  - `setSize(int)`

### isVisible

boolean isVisible()
Returns the value of the 'Visible' attribute. Gets whether the marker will be rendered. Specifies whether the marker is to be rendered.

Returns:
  the value of the 'Visible' attribute.
See Also:
  - `isSetVisible()`
  - `unsetVisible()`
  - `setVisible(boolean)`
  - `AttributePackage.getMarker_Visible()`

### setVisible

void setVisible(boolean value)
Sets the value of the '`Visible`' attribute. Specifies whether the marker is to be rendered.

Parameters:
  `value` - the new value of the 'Visible' attribute.
See Also:
  - `isSetVisible()`
  - `unsetVisible()`
  - `isVisible()`

### unsetVisible

void unsetVisible()
Unsets the value of the '`Visible`' attribute.

See Also:
  - `isSetVisible()`
  - `isVisible()`
  - `setVisible(boolean)`

### isSetVisible

boolean isSetVisible()
Returns whether the value of the '`Visible`' attribute is set.

Returns:
  whether the value of the 'Visible' attribute is set.
See Also:
  - `unsetVisible()`
  - `isVisible()`
  - `setVisible(boolean)`

### getFill

Fill getFill()
Returns the value of the 'Fill' containment reference. Specifies the fill for the marker.

Returns:
  the value of the 'Fill' containment reference.
See Also:
  - `setFill(Fill)`
  - `AttributePackage.getMarker_Fill()`

### setFill

void setFill(Fill value)
Sets the value of the '`Fill`' containment reference.

Parameters:
  `value` - the new value of the 'Fill' containment reference.
See Also:
  - `getFill()`

### getIconPalette

@Deprecated Palette getIconPalette()
Deprecated.
Deprecated. Use Fill property instead. This is kept just to maintain compatibility with old models.
Returns the value of the 'Icon Palette' containment reference.

Returns:
  the value of the 'Icon Palette' containment reference.
See Also:
  - `setIconPalette(Palette)`
  - `AttributePackage.getMarker_IconPalette()`

### setIconPalette

@Deprecated void setIconPalette(Palette value)
Deprecated.
Deprecated. Use Fill property instead. This is kept just to maintain compatibility with old models.
Sets the value of the '`Icon Palette`' containment reference.

Parameters:
  `value` - the new value of the 'Icon Palette' containment reference.
See Also:
  - `getIconPalette()`

### getOutline

LineAttributes getOutline()
Returns the value of the 'Outline' containment reference. Element "Outline" specifies the outline of marker.

Returns:
  the value of the 'Outline' containment reference.
See Also:
  - `setOutline(LineAttributes)`
  - `AttributePackage.getMarker_Outline()`

### setOutline

void setOutline(LineAttributes value)
Sets the value of the '`Outline`' containment reference.

Parameters:
  `value` - the new value of the 'Outline' containment reference.
See Also:
  - `getOutline()`

### copyInstance

Marker copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`